=head1 NAME

Gtk2::IconSet

=head1 HIERARCHY

  Glib::Boxed
  +----Gtk2::IconSet


=head1 METHODS

=head2 iconset = Gtk2::IconSet-E<gt>B<new> 

=over

=back

=head2 iconset = Gtk2::IconSet-E<gt>B<new_from_pixbuf> ($pixbuf)

=over

=over

=item * $pixbuf (Gtk2::Gdk::Pixbuf) 

=back

=back

=head2 $icon_set-E<gt>B<add_source> ($source)

=over

=over

=item * $source (Gtk2::IconSource) 

=back

=back

=head2 pixbuf = $icon_set-E<gt>B<render_icon> ($style, $direction, $state, $size, $widget, $detail=undef)

=over

=over

=item * $style (Gtk2::Style or undef) 

=item * $direction (Gtk2::TextDirection) 

=item * $state (Gtk2::StateType) 

=item * $size (Gtk2::IconSize) 

=item * $widget (Gtk2::Widget or undef) 

=item * $detail (string) 

=back

=back

=head2 list = $icon_set-E<gt>B<get_sizes> 

=over

Returns a list of Gtk2::IconSize's.

=back


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::IconSize

=over

=item * 'invalid' / 'GTK_ICON_SIZE_INVALID'

=item * 'menu' / 'GTK_ICON_SIZE_MENU'

=item * 'small-toolbar' / 'GTK_ICON_SIZE_SMALL_TOOLBAR'

=item * 'large-toolbar' / 'GTK_ICON_SIZE_LARGE_TOOLBAR'

=item * 'button' / 'GTK_ICON_SIZE_BUTTON'

=item * 'dnd' / 'GTK_ICON_SIZE_DND'

=item * 'dialog' / 'GTK_ICON_SIZE_DIALOG'

=back


=head2 enum Gtk2::StateType

=over

=item * 'normal' / 'GTK_STATE_NORMAL'

=item * 'active' / 'GTK_STATE_ACTIVE'

=item * 'prelight' / 'GTK_STATE_PRELIGHT'

=item * 'selected' / 'GTK_STATE_SELECTED'

=item * 'insensitive' / 'GTK_STATE_INSENSITIVE'

=back


=head2 enum Gtk2::TextDirection

=over

=item * 'none' / 'GTK_TEXT_DIR_NONE'

=item * 'ltr' / 'GTK_TEXT_DIR_LTR'

=item * 'rtl' / 'GTK_TEXT_DIR_RTL'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Boxed>

=head1 COPYRIGHT

Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

